## octave-secs1d 0.0.8

=== DESCRIPTION ===
Name: SECS1D
Version: 0.0.8
Date: 2008-08-23
Author: Carlo de Falco
Maintainer: Carlo de Falco
Title: SEmi Conductor Simulator in 1D 
Description: A Drift-Diffusion simulator for 1d semiconductor devices
Categories: Electrical Engineering
Depends: octave (>= 2.9.17)
Autoload: no
License: GPL version 2 or later
Url: http://www.comson.org/dem

=== debian/changelog ===
octave-secs1d (0.0.8-4) unstable; urgency=low

  * Imported Upstream version 0.0.8
  * Adapt .gitignore
  * Bump standards version to 3.9.3
  * Add Sébastien Villemot to the list of Uploaders
  * Bump the build-dependency on octave-pkg-dev to >= 1.0.1
  * Bump the debhelper compatibility level to 9
  * debian/copyright: update using machine-readable format 1.0

 -- Thomas Weber <tweber@debian.org>  Thu, 22 Mar 2012 17:10:25 +0100

octave-secs1d (0.0.8-3) unstable; urgency=low

  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571864)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump standards version to 3.9.1, no changes required

 -- Thomas Weber <tweber@debian.org>  Sun, 01 May 2011 18:24:27 +0200

octave-secs1d (0.0.8-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Wed, 16 Dec 2009 18:32:41 +0100

octave-secs1d (0.0.8-1) unstable; urgency=low

  * Initial release. (Closes: #482617)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 19:06:32 +0200

=== debian/control ===
Source: octave-secs1d
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Sébastien Villemot <sebastien.villemot@ens.fr>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1)
Standards-Version: 3.9.3
Homepage: http://octave.sourceforge.net/secs1d
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-secs1d.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-secs1d.git

Package: octave-secs1d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: semi conductor simulator in 1D for Octave
 This package contains functions for running a drift-diffusion
 simulator for 1d semiconductor devices in Octave, a scientific
 computation software.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/secs1d-([\d.]+)\.tar\.gz\?download

## octave-secs1d 0.0.9

=== DESCRIPTION ===
Name: SECS1D
Version: 0.0.9
Date: 2012-03-30
Author: Carlo de Falco
Maintainer: Carlo de Falco
Title: SEmi Conductor Simulator in 1D 
Description: A Drift-Diffusion simulator for 1d semiconductor devices
Categories: Electrical Engineering
Depends: octave (>= 3.0), bim
Autoload: no
License: GPL version 2 or later

=== bak/src/Makefile ===
PROGS = $(patsubst %.cc,%.oct,$(wildcard *.cc))

all: $(PROGS)

$(PROGS): Makefile

%.oct: %.cc
	mkoctfile $<

clean: ; -$(RM) *.o core octave-core *.oct *~

=== debian/changelog ===
octave-secs1d (0.0.9-9) unstable; urgency=medium

  * d/control:
    + Update Homepage URL
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Bump Standards-Version to 4.7.2 (no changes needed)
  * d/copyright: Update Source URL
  * d/u/metadata: Update Bug-Database URL
  * d/watch: Convert to format version 5
  * d/s/lintian-override: Update override for the Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Wed, 15 Oct 2025 04:06:07 -0300

octave-secs1d (0.0.9-8) unstable; urgency=medium

  * d/rules: Use execute_before_dh_installdeb instead of override_dh_installdeb
  * d/copyright:
    + Accentuate my family name
    + Update Copyright years for debian/* files
  * Set upstream metadata fields: Archive.
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Sun, 11 Dec 2022 05:01:49 -0300

octave-secs1d (0.0.9-7) unstable; urgency=medium

  * d/rules: Use override_dh_installdeb instead of _auto_install for cleanup
  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Wed, 29 Jul 2020 11:15:03 -0300

octave-secs1d (0.0.9-6) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Sébastien Villemot ]
  * Revert "d/rules: Use override_dh_installdeb for post-install actions"

  [ Rafael Laboissiere ]
  * d/rules: Use override_dh_installdeb for post-install actions
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:57:39 -0200

octave-secs1d (0.0.9-5) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:37:37 -0200

octave-secs1d (0.0.9-4) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Add Testsuite field
    + Use secure URIs in the Vcs-* fields
    + Use cgit instead of gitweb in Vcs-Browser URL

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:32 -0200

octave-secs1d (0.0.9-3) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Use canonical URLs for Vcs-* fields.
  * Add Rafael Laboissiere and Mike Miller to Uploaders.

  [ Rafael Laboissiere ]
  * Bump to Standards-Version 3.9.6, no changes needed
  * d/p/autoload-yes.diff: Remove patch (deprecated upstream)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 26 Jul 2015 11:42:03 +0200

octave-secs1d (0.0.9-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Use the octave-maintainers mailing list as upstream
    contact

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 May 2013 13:46:14 +0200

octave-secs1d (0.0.9-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 0.0.9
  * debian/patches/autoload-yes.diff: Adjust for new upstream release
  * debian/copyright: Adjust for new upstream release
  * debian/rules: Fix permission of some *.m files
  * Add PDF manual and register it through doc-base

  [ Sébastien Villemot ]
  * debian/watch: use SF redirector
  * Use my @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag
  * Bump to Standards-Version 3.9.4, no changes needed
  * The package is now Architecture: all

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 25 Sep 2012 13:58:08 +0000

=== debian/control ===
Source: octave-secs1d
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissière <rafael@debian.org>,
           Mike Miller <mtmiller@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-octave
Standards-Version: 4.7.2
Homepage: https://gnu-octave.github.io/packages/secs1d/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-secs1d.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-secs1d
Testsuite: autopkgtest-pkg-octave

Package: octave-secs1d
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}
Description: semi conductor simulator in 1D for Octave
 This package contains functions for running a drift-diffusion
 simulator for 1d semiconductor devices in Octave, a scientific
 computation software.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

execute_before_dh_installdeb:
	# Fix permission of some *.m files
	@echo "*********************************************************"
	@echo "Warning: check whether the following fix is still needed:"
	@echo "*********************************************************"
	find debian/$(pkg) -name \*.m -exec chmod -x \{} \;

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/secs1d/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/secs1d-@ANY_VERSION@@ARCHIVE_EXT@
